package com.gic.spark.entity.request;

import com.gic.spark.entity.enumtype.NumberType;
import com.gic.spark.entity.enumtype.TimeRangeType;

import java.sql.Timestamp;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/4/26
 */
public class IntegralRequest extends FilterRequest {

    /**
     * 最小数字
     */
    private Integer beginNum;
    /**
     * 最大数字
     */
    private Integer endNum;

    /**
     * 相等数字
     */
    private Integer equalNum;

    private NumberType numberType;

    /**
     * 开始时间
     */
    private Timestamp beginTime;
    /**
     * 结束时间
     */
    private Timestamp endTime;
    /**
     * 最近几天时间
     */
    private int timeNum;

    private TimeRangeType timeRangeType;


    public NumberType getNumberType() {
        return numberType;
    }

    public void setNumberType(NumberType numberType) {
        this.numberType = numberType;
    }

    public Timestamp getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Timestamp beginTime) {
        this.beginTime = beginTime;
    }

    public Timestamp getEndTime() {
        return endTime;
    }

    public void setEndTime(Timestamp endTime) {
        this.endTime = endTime;
    }

    public int getTimeNum() {
        return timeNum;
    }

    public void setTimeNum(int timeNum) {
        this.timeNum = timeNum;
    }

    public TimeRangeType getTimeRangeType() {
        return timeRangeType;
    }

    public void setTimeRangeType(TimeRangeType timeRangeType) {
        this.timeRangeType = timeRangeType;
    }

    public Integer getBeginNum() {
        return beginNum;
    }

    public void setBeginNum(Integer beginNum) {
        this.beginNum = beginNum;
    }

    public Integer getEndNum() {
        return endNum;
    }

    public void setEndNum(Integer endNum) {
        this.endNum = endNum;
    }

    public Integer getEqualNum() {
        return equalNum;
    }

    public void setEqualNum(Integer equalNum) {
        this.equalNum = equalNum;
    }
}
